#3764 IOException when saving with an invalid file name

closed-fixed
Alan Ezust
None
5
2013-02-12
2012-12-16
Bao N. Nguyen
No

The following step will print an IOException
1. Follow Menu File/Save
2. Enter /crash/crash to the File name text box
3. Click Save

Exception trace
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: java.io.IOException: Can't get a temporary path for two-stage save: /crash/crash
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: at org.gjt.sp.jedit.bufferio.BufferSaveRequest._run(BufferSaveRequest.java:95)
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: at org.gjt.sp.util.Task.run(Task.java:71)
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
12:23:24 PM [jEdit Worker #3] [error] BufferSaveRequest: at java.lang.Thread.run(Thread.java:679)
12:23:24 PM [AWT-EventQueue-0] [debug] EditBus: ViewUpdate[what=VIEW_ACTIVATED,source=org.gjt.sp.jedit.View[active]]
12:23:24 PM [AWT-EventQueue-0] [debug] jEdit: checkBufferStatus for all buffers
12:23:24 PM [jEdit Worker #3] [error] ErrorListDialog$ErrorEntry: /crash/crash:

Discussion

  • Richard The
    Richard The
    2013-01-15

    Hi, do you think you would assign this bug to me? I'd like to try digging into it

     
  • Alan Ezust
    Alan Ezust
    2013-02-12

    rkthe - you can submit a patch to the patches tracker. I can't assign this ticket to you until you have joined as a developer. Which will happen eventually after you've had a few patches or other contributions accepted.

     
  • Alan Ezust
    Alan Ezust
    2013-02-12

    • assigned_to: nobody --> ezust
    • status: open --> closed-fixed
     
  • Alan Ezust
    Alan Ezust
    2013-02-12

    Already fixed in r22775.